#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
  
  ofSetVerticalSync(true);
  ofSetPolyMode(OF_POLY_WINDING_NONZERO);

  
  for (int i=0; i< NUM_CIRCLES; i++) {
    posX[i] = ofRandom(0, ofGetWidth());
    posY[i] = ofRandom(0, ofGetHeight());
  }
  
}

//--------------------------------------------------------------
void testApp::update(){
  
  ofFill();
  
  for (int i=0; i< NUM_CIRCLES; i++) {
    posX[i] = posX[i] + ((mouseX - posX[i]) / ofRandom(0, ofGetWidth()));
    posY[i] = posY[i] + ((mouseY - posY[i]) / ofRandom(0, ofGetHeight()));
  }
  
    

}

//--------------------------------------------------------------
void testApp::draw(){
  
  
  ofBackground(51, 51, 51);
   
  
  for (int i=0; i<NUM_CIRCLES; i++) {
    ofFill();
    ofSetColor(255, 255, 0);
    ofCircle(posX[i], posY[i], 2);
    posX[i] += moveX[i];
    posY[i] += moveY[i];
    ofNoFill();
    ofSetColor(255, 255, 255);
    ofLine(posX[i], posY[i], mouseX, mouseY);
  }

}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

